#    Copyright 2003 Regis Damongeot

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

proc advanced_options_window {} {
	global burn_type v_create_iso dvd_size
if { ! [winfo exists .advanced_options_window] } {
	toplevel .advanced_options_window -highlightthickness 1 -highlightcolor blue -background #f5f5f5
	wm title .advanced_options_window "Advanced Options"
	
	#create frame for options buttons
	frame .advanced_options_window.f_fs_ext -background #f5f5f5
	frame .advanced_options_window.options_fs -background #f5f5f5
	frame .advanced_options_window.f_options_udf -background #f5f5f5
	frame .advanced_options_window.udf_radiobuttons -background #f5f5f5
	frame .advanced_options_window.f_opts_dvd_size -background #f5f5f5
	frame .advanced_options_window.f_dvd_size -background #f5f5f5
	frame .advanced_options_window.f_oth_opts -background #f5f5f5
	frame .advanced_options_window.options_oth -background #f5f5f5
	
	label .advanced_options_window.f_fs_ext.label_fs_ext -bg #f5f5f5 -text "Filesystem extensions:"
	label .advanced_options_window.f_options_udf.label_fs_udf -bg #f5f5f5 -text "UDF extensions:"
	label .advanced_options_window.f_opts_dvd_size.label_dvd_size -bg #f5f5f5 -text "DVD Size:"
	label .advanced_options_window.f_oth_opts.label_oth_opts -bg #f5f5f5 -text "Other options:"
	
	
	checkbutton .advanced_options_window.options_fs.joliet_ext -bg #f5f5f5 -activebackground #f5f5f5 -highlightbackground #f5f5f5 -text "Add Joliet extensions (-J)" -variable option_joliet_ext -offvalue "" -onvalue "-J" -command refresh_cmd_line
	
	checkbutton .advanced_options_window.options_fs.rr_ext -bg #f5f5f5 -activebackground #f5f5f5 -highlightbackground #f5f5f5 -text "Add Rock Ridge extensions (-R)" -variable option_rr_ext -offvalue "" -onvalue "-R"  -command refresh_cmd_line
	
	checkbutton .advanced_options_window.options_oth.pad -bg #f5f5f5 -activebackground #f5f5f5 -highlightbackground #f5f5f5 -text "Pad (highly recommanded) (-pad)" -variable option_pad -offvalue "" -onvalue "-pad"  -command refresh_cmd_line
	
	checkbutton .advanced_options_window.options_fs.rra_ext -bg #f5f5f5 -activebackground #f5f5f5 -highlightbackground #f5f5f5 -text "Add anonymous Rock Ridge extensions (all files set to r--r--r-- or +x if executable) (-r)" -variable option_rra_ext -offvalue "" -onvalue "-r" -command refresh_cmd_line
	
	radiobutton .advanced_options_window.udf_radiobuttons.udf_ext_off -bg #f5f5f5 -activebackground #f5f5f5 -highlightbackground #f5f5f5 -text "Off" -variable option_udf_ext -value "" -command refresh_cmd_line
	
	radiobutton .advanced_options_window.udf_radiobuttons.udf_ext -bg #f5f5f5 -activebackground #f5f5f5 -highlightbackground #f5f5f5 -text "UDF extensions (-udf)" -variable option_udf_ext -value "-udf" -command refresh_cmd_line
	
	radiobutton .advanced_options_window.udf_radiobuttons.dvd_video_ext -bg #f5f5f5 -activebackground #f5f5f5 -highlightbackground #f5f5f5 -text "DVD Video compliant UDF file system (-dvd-video)" -variable option_udf_ext -value "-dvd-video" -command refresh_cmd_line
	
	checkbutton .advanced_options_window.options_oth.overburn -bg #f5f5f5 -activebackground #f5f5f5 -highlightbackground #f5f5f5 -text "Overburn (-overburn)" -variable option_overburn -offvalue "" -onvalue "-overburn" -command refresh_cmd_line
	
	checkbutton .advanced_options_window.options_oth.multisession -bg #f5f5f5 -activebackground #f5f5f5 -highlightbackground #f5f5f5 -text "Add session to disc (-M)" -variable t_session -offvalue "-use-the-force-luke=tty -Z" -onvalue "-M"  -command refresh_cmd_line
	
	checkbutton .advanced_options_window.options_oth.monosession -bg #f5f5f5 -activebackground #f5f5f5 -highlightbackground #f5f5f5 -text "Maximum media compatibility (if DVD R => create single session closed disc) (-dvd-compat)" -variable option_dvd_compat -offvalue "" -onvalue "-dvd-compat"  -command refresh_cmd_line
	
	
	radiobutton .advanced_options_window.f_dvd_size.single_layer  -activebackground #f5f5f5 -background #f5f5f5 -highlightbackground #f5f5f5 -command { refresh_total_file_size; refresh_cmd_line } -text "4.7 Go" -variable dvd_size -value 4589850
	
	radiobutton .advanced_options_window.f_dvd_size.dual_layer  -activebackground #f5f5f5 -background #f5f5f5 -highlightbackground #f5f5f5 -command { refresh_total_file_size; refresh_cmd_line }  -text "8.5 Go (DL)" -variable dvd_size -value 8300790
	
	
	#button .advanced_options_window.f_dvd_size.b_save -highlightbackground red -text "Save" -command { save_options }
	
	button .advanced_options_window.b_close -highlightbackground red -text "Close" -command { destroy .advanced_options_window }
	
	if { $burn_type == "burn_dvd" &&  $v_create_iso == "no" } {
		.advanced_options_window.options_oth.pad configure -state normal
		.advanced_options_window.udf_radiobuttons.udf_ext configure -state normal
		.advanced_options_window.udf_radiobuttons.dvd_video_ext configure -state normal
		.advanced_options_window.udf_radiobuttons.udf_ext_off configure -state normal
		.advanced_options_window.options_fs.rra_ext configure -state normal
		.advanced_options_window.options_fs.rr_ext configure -state normal
		.advanced_options_window.options_fs.joliet_ext configure -state normal
		.advanced_options_window.options_oth.overburn configure -state normal
		.advanced_options_window.options_oth.multisession configure -state normal
		.advanced_options_window.options_oth.monosession configure -state normal
		#.advanced_options_window.f_dvd_size.single_layer configure -state normal
		#.advanced_options_window.f_dvd_size.dual_layer configure -state normal
		#.advanced_options_window.f_dvd_size.b_save configure -state normal
	} elseif { $burn_type == "burn_dvd" && $v_create_iso == "yes" } {
		.advanced_options_window.options_oth.pad configure -state normal
		.advanced_options_window.udf_radiobuttons.udf_ext configure -state normal
		.advanced_options_window.udf_radiobuttons.udf_ext_off configure -state normal
		.advanced_options_window.udf_radiobuttons.dvd_video_ext configure -state normal
		.advanced_options_window.options_fs.rr_ext configure -state normal
		.advanced_options_window.options_fs.joliet_ext configure -state normal
		.advanced_options_window.options_fs.rra_ext configure -state normal
		.advanced_options_window.options_oth.overburn configure -state disable
		.advanced_options_window.options_oth.multisession configure -state disabled
		.advanced_options_window.options_oth.monosession configure -state disabled
		#.advanced_options_window.f_dvd_size.single_layer configure -state disabled
		#.advanced_options_window.f_dvd_size.dual_layer configure -state disabled
		#.advanced_options_window.f_dvd_size.b_save configure -state disabled
	} elseif { $burn_type == "burn_iso" } {
		#.advanced_options_window.f_dvd_size.single_layer configure -state normal
		#.advanced_options_window.f_dvd_size.dual_layer configure -state normal
		#.advanced_options_window.f_dvd_size.b_save configure -state normal
		.advanced_options_window.options_oth.pad configure -state disabled
		.advanced_options_window.udf_radiobuttons.udf_ext configure -state disabled
		.advanced_options_window.udf_radiobuttons.udf_ext_off configure -state disabled
		.advanced_options_window.udf_radiobuttons.dvd_video_ext configure -state disabled
		.advanced_options_window.options_fs.rra_ext configure -state disabled
		.advanced_options_window.options_fs.rr_ext configure -state disabled
		.advanced_options_window.options_fs.joliet_ext configure -state disabled
		.advanced_options_window.options_oth.overburn configure -state normal
		.advanced_options_window.options_oth.multisession configure -state normal
		.advanced_options_window.options_oth.monosession configure -state disabled
	}
	
	
	#pack buttons and labels
	pack .advanced_options_window.f_fs_ext.label_fs_ext -side left
	pack .advanced_options_window.f_options_udf.label_fs_udf -side left
	pack .advanced_options_window.f_opts_dvd_size.label_dvd_size -side left
	pack .advanced_options_window.f_oth_opts.label_oth_opts -side left
	pack .advanced_options_window.options_fs.joliet_ext .advanced_options_window.options_fs.rr_ext .advanced_options_window.options_fs.rra_ext .advanced_options_window.options_oth.overburn .advanced_options_window.options_oth.pad .advanced_options_window.options_oth.multisession .advanced_options_window.options_oth.monosession -side top -anchor w -padx {12 0}
	pack .advanced_options_window.f_dvd_size.single_layer .advanced_options_window.f_dvd_size.dual_layer -side left -anchor w -padx {12 0}
	#pack .advanced_options_window.f_dvd_size.b_save -side right -padx {0 12}
	pack .advanced_options_window.udf_radiobuttons.udf_ext_off .advanced_options_window.udf_radiobuttons.udf_ext .advanced_options_window.udf_radiobuttons.dvd_video_ext -side left -padx {24 0}
	#packing frames
	pack .advanced_options_window.f_fs_ext -fill x
	pack .advanced_options_window.options_fs -fill x
	pack .advanced_options_window.f_options_udf -fill x -padx {12 0}
	pack .advanced_options_window.udf_radiobuttons -fill x
	pack .advanced_options_window.f_opts_dvd_size -fill x
	pack .advanced_options_window.f_dvd_size -fill x
	pack .advanced_options_window.f_oth_opts -fill x
	pack .advanced_options_window.options_oth -fill x
	pack .advanced_options_window.b_close -side right -padx {0 12} -pady {0 6}
}
}